---
layout: components
title: Components
include_prefix: ../
categories:
  - name: badges
    title: Badges
    description: Small status descriptors for UI elements.
    components:
      - name: badge
        class: mdl-badge
  - name: buttons
    title: Buttons
    description: Variations on Material Design buttons.
    components:
      - name: button
        class: mdl-button
  - name: cards
    title: Cards
    description: Self-contained pieces of paper with data.
    components:
      - name: card
        class: mdl-card
  - name: chips
    title: Chips
    description: Represents complex entities in small blocks.
    components:
      - name: chip
        class: mdl-chip
  - name: dialog
    title: Dialogs
    description: Modal windows for dedicated user input.
    components:
      - name: dialog
        class: mdl-dialog
        warning: Dialogs use the HTML <dialog> element, which currently has very
          limited cross-browser support. To ensure support across all modern
          browsers, please consider using a polyfill or creating your own.
          There is no polyfill included with MDL.
  - name: layout
    title: Layout
    description: Building blocks for constructing a page layout.
    components:
      - name: layout
        caption: Navigation layouts
        class: mdl-layout
      - name: grid
        caption: Grid
        class: mdl-grid
      - name: tabs
        caption: Tabs
        class: mdl-tabs
      - name: footer
        caption: Footer
        class: mdl-mega-footer / mdl-mini-footer
  - name: lists
    title: Lists
    description: Customizable scrollable lists.
    components:
      - name: list
        class: mdl-list
  - name: loading
    title: Loading
    description: Indicate loading and progress states.
    components:
      - name: progress
        caption: Progress bar
        class: mdl-progress
      - name: spinner
        caption: Spinner
        class: mdl-spinner
  - name: menus
    title: Menus
    description: Lists of clickable actions.
    components:
      - name: menu
        class: mdl-menu
  - name: sliders
    title: Sliders
    description: Selecting a value out of a range.
    components:
      - name: slider
        class: mdl-slider
  - name: snackbar
    title: Snackbar
    description: Transient popup notifications.
    components:
      - name: snackbar
        class: mdl-snackbar
  - name: toggles
    title: Toggles
    description: Choose between states.
    components:
      - name: checkbox
        caption: Checkbox
        class: mdl-checkbox
      - name: radio
        caption: Radio button
        class: mdl-radio
      - name: icon-toggle
        caption: Icon toggle
        class: mdl-icon-toggle
      - name: switch
        caption: Switch
        class: mdl-switch
  - name: tables
    title: Tables
    description: Organize data.
    components:
      - name: data-table
        class: mdl-data-table
  - name: textfields
    title: Text Fields
    description: Textual input components.
    components:
      - name: textfield
        class: mdl-textfield
  - name: tooltips
    title: Tooltips
    description: Useful information on hover.
    components:
      - name: tooltip
        class: mdl-tooltip
---
